Delete custom OAuth provider

Deletes an existing Custom OAuth provider for the Tenant using the provider name specified in the request body.

DELETE
/v2/manage/custom-providers/oauth

Deletes an existing Custom OAuth provider for the Tenant using the provider name specified in the request body.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

ProviderName*string

The name of the OAuth2 provider to be deleted.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/v2/manage/custom-providers/oauth" \  -H "Content-Type: application/json" \  -d '{    "ProviderName": "string"  }'
{
  "IsDeleted": true
}

{
  "ErrorCode": 7935,
  "Message": "Delete body is invalid or empty",
  "Description": "Please use a valid delete body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Custom OAuth configuration not found",
  "Description": "Custom OAuth provider is not configured or the resource does not exist.",
  "ErrorCode": 7936
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}